<link rel="import" href="../../polymer/polymer-element.html" />

<dom-module id="app-sobre-mi">
    <template>
        <link rel="stylesheet" href="css/bulma.min.css" />
        <div class="columns">
            <div class="column">
                <label class="label" for="twitter">Usuario de Twitter</label>
                <div class="field has-addons">
                    <p class="control">
                        <a class="button is-rounded is-static">@</a>
                    </p>
                    <p class="control is-expanded">
                        <input
                            class="input is-rounded"
                            type="text"
                            id="twitter"
                            value="{{twitter::input}}"
                            placeholder="usuario"
                        />
                    </p>
                </div>
            </div>
            <div class="column">
                <label class="label" for="github">Usuario de GitHub</label>
                <div class="field has-addons">
                    <p class="control">
                        <a class="button is-rounded is-static">https://github.com/</a>
                    </p>
                    <p class="control is-expanded">
                        <input
                            class="input is-rounded"
                            type="text"
                            id="github"
                            value="{{github::input}}"
                            placeholder="usuario"
                        />
                    </p>
                </div>
            </div>
        </div>

        <div class="columns">
            <div class="column">
                <label class="label" for="url">URL de Facebook</label>
                <div class="field">
                    <input
                        class="input is-rounded"
                        type="url"
                        id="url"
                        value="{{facebook::input}}"
                        placeholder="https://www.facebook.com/pagina"
                    />
                </div>
            </div>
            <div class="column">
                <label class="label" for="linkedin">URL de LinkedIn</label>
                <div class="field">
                    <input
                        class="input is-rounded"
                        type="url"
                        id="linkedin"
                        value="{{linkedin::input}}"
                        placeholder="https://mx.linkedin.com/pagina"
                    />
                </div>
            </div>
        </div>
        <div class="columns">
            <div class="column">
                <label class="label" for="urlweb">URL de tu sitio web</label>
                <div class="field">
                    <input
                        class="input is-rounded"
                        type="url"
                        id="urlweb"
                        value="{{urlweb::input}}"
                        placeholder="https://example.com"
                    />
                </div>
            </div>
        </div>
        <div class="columns">
            <div class="column">
                <label class="label" for="bio">Bio</label>
                <div class="field">
                    <textarea
                        class="textarea has-fixed-size"
                        id="bio"
                        cols="5"
                        rows="5"
                        value="{{bio::input}}"
                        placeholder="Escribe algo sobre ti..."
                    ></textarea>
                </div>
            </div>
        </div>
        <div class="field has-text-centered">
            <button type="button" class="button is-primary" on-click="guardarCambios">
                Guardar cambios
            </button>
        </div>
    </template>

    <script>
        class AppSobreMi extends Polymer.Element {
            static get is() {
                return "app-sobre-mi";
            }
            static get properties() {
                return {
                    twitter: String,
                    github: String,
                    facebook: String,
                    linkedin: String,
                    urlweb: String,
                    bio: String,
                };
            }
            guardarCambios() {
                console.log(this.twitter);
                console.log(this.github);
                console.log(this.facebook);
                console.log(this.linkedin);
                console.log(this.urlweb);
                console.log(this.bio);
                alert("Conexión al servidor pendiente, los datos están en la consola");
            }
        }

        window.customElements.define(AppSobreMi.is, AppSobreMi);
    </script>
</dom-module>
